import * as d3 from 'd3-dsv';

var version$2 = "3.0.1";
var pkg = {
	version: version$2};

const version$1 = pkg.version;
var urls = {
    'annual-precip.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/annual-precip.json`,
    'anscombe.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/anscombe.json`,
    'barley.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/barley.json`,
    'budget.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/budget.json`,
    'budgets.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/budgets.json`,
    'burtin.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/burtin.json`,
    'cars.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/cars.json`,
    'countries.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/countries.json`,
    'crimea.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/crimea.json`,
    'driving.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/driving.json`,
    'earthquakes.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/earthquakes.json`,
    'flare-dependencies.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/flare-dependencies.json`,
    'flare.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/flare.json`,
    'flights-10k.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/flights-10k.json`,
    'flights-200k.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/flights-200k.json`,
    'flights-20k.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/flights-20k.json`,
    'flights-2k.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/flights-2k.json`,
    'flights-5k.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/flights-5k.json`,
    'football.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/football.json`,
    'gapminder.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/gapminder.json`,
    'income.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/income.json`,
    'jobs.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/jobs.json`,
    'londonBoroughs.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/londonBoroughs.json`,
    'londonCentroids.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/londonCentroids.json`,
    'londonTubeLines.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/londonTubeLines.json`,
    'miserables.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/miserables.json`,
    'monarchs.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/monarchs.json`,
    'movies.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/movies.json`,
    'normal-2d.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/normal-2d.json`,
    'obesity.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/obesity.json`,
    'ohlc.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/ohlc.json`,
    'penguins.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/penguins.json`,
    'platformer-terrain.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/platformer-terrain.json`,
    'political-contributions.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/political-contributions.json`,
    'population.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/population.json`,
    'udistrict.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/udistrict.json`,
    'unemployment-across-industries.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/unemployment-across-industries.json`,
    'uniform-2d.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/uniform-2d.json`,
    'us-10m.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/us-10m.json`,
    'us-state-capitals.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/us-state-capitals.json`,
    'volcano.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/volcano.json`,
    'weekly-weather.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/weekly-weather.json`,
    'wheat.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/wheat.json`,
    'world-110m.json': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/world-110m.json`,
    'airports.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/airports.csv`,
    'birdstrikes.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/birdstrikes.csv`,
    'co2-concentration.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/co2-concentration.csv`,
    'disasters.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/disasters.csv`,
    'flights-airport.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/flights-airport.csv`,
    'gapminder-health-income.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/gapminder-health-income.csv`,
    'github.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/github.csv`,
    'global-temp.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/global-temp.csv`,
    'iowa-electricity.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/iowa-electricity.csv`,
    'la-riots.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/la-riots.csv`,
    'lookup_groups.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/lookup_groups.csv`,
    'lookup_people.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/lookup_people.csv`,
    'population_engineers_hurricanes.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/population_engineers_hurricanes.csv`,
    'seattle-weather-hourly-normals.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/seattle-weather-hourly-normals.csv`,
    'seattle-weather.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/seattle-weather.csv`,
    'sp500-2000.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/sp500-2000.csv`,
    'sp500.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/sp500.csv`,
    'species.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/species.csv`,
    'stocks.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/stocks.csv`,
    'us-employment.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/us-employment.csv`,
    'weather.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/weather.csv`,
    'windvectors.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/windvectors.csv`,
    'zipcodes.csv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/zipcodes.csv`,
    'unemployment.tsv': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/unemployment.tsv`,
    'flights-200k.arrow': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/flights-200k.arrow`,
    'flights-3m.parquet': `https://cdn.jsdelivr.net/npm/vega-datasets@${version$1}/data/flights-3m.parquet`,
};

const version = pkg.version;
const data = { version };
for (const name of Object.keys(urls)) {
    const url = urls[name];
    const f = async function () {
        const result = await fetch(url);
        if (name.endsWith(".json")) {
            return await result.json();
        }
        else if (name.endsWith(".csv")) {
            return d3.csvParse(await result.text(), d3.autoType);
        }
        else {
            return await result.text();
        }
    };
    f.url = url;
    data[name] = f;
}

export { data as default };
//# sourceMappingURL=vega-datasets.js.map
